export declare enum ErrorCode {
    PrevOwnerNotFound = 0,
    LedgerUnknownTopic = 1,
    SqliteConfigNotFound = 2,
    SourceKafkaConfigNotFound = 3,
    SourceKafkaUnexpectedMessage = 4,
    InvalidPayload = 5,
    VotingConfigNotFound = 6
}
export declare class GGPError extends Error {
    constructor(code: ErrorCode, details: Record<string, string | number>);
}
